summaryrefslogtreecommitdiff
path: root/debian/openssh-known-hosts.postinst
diff options
context:
space:
mode:
authorTimo Weingärtner <timo@tiwe.de>2013-01-10 14:36:49 +0100
committerTimo Weingärtner <timo@tiwe.de>2013-01-10 14:47:06 +0100
commit16140dc01ef2bc85be43884e7870b6358e64fe8d (patch)
tree199d903b19b067789100af8d187578bce99f6852 /debian/openssh-known-hosts.postinst
parentd4b55c00f9c41df1bec210a82a85fa8ba8195537 (diff)
downloadopenssh-known-hosts-16140dc01ef2bc85be43884e7870b6358e64fe8d.tar.gz
update maintainerscripts
* add postrm to clean up cache and lib dirs * no longer remove stuff on upgrades in prerm Git-Dch: full
Diffstat (limited to 'debian/openssh-known-hosts.postinst')
-rw-r--r--debian/openssh-known-hosts.postinst60
1 files changed, 26 insertions, 34 deletions
diff --git a/debian/openssh-known-hosts.postinst b/debian/openssh-known-hosts.postinst
index 93858a1..58800e2 100644
--- a/debian/openssh-known-hosts.postinst
+++ b/debian/openssh-known-hosts.postinst
@@ -19,42 +19,34 @@ set -e
case "$1" in
- configure)
- ;;
-
- abort-upgrade|abort-remove|abort-deconfigure)
- ;;
-
- *)
- echo "postinst called with unknown argument \`$1'" >&2
- exit 1
- ;;
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ if [ ! -e /usr/local/share/openssh-known-hosts ]; then
+ if mkdir /usr/local/share/openssh-known-hosts 2>/dev/null; then
+ if chown root:staff /usr/local/share/openssh-known-hosts; then
+ chmod 2775 /usr/local/share/openssh-known-hosts || true
+ fi
+ fi
+ fi
+ if [ ! -e /usr/local/share/openssh-known-hosts/plugins ]; then
+ if mkdir /usr/local/share/openssh-known-hosts/plugins 2>/dev/null; then
+ if chown root:staff /usr/local/share/openssh-known-hosts/plugins; then
+ chmod 2775 /usr/local/share/openssh-known-hosts/plugins || true
+ fi
+ fi
+ fi
+ [ -e /etc/ssh/ssh_known_hosts ] || ln -s /var/lib/openssh-known-hosts/ssh_known_hosts /etc/ssh/ssh_known_hosts
+ if [ "`readlink /etc/ssh/ssh_known_hosts`" != /var/lib/openssh-known-hosts/ssh_known_hosts ]; then
+ echo "/etc/ssh/ssh_known_hosts already exists, please set up the link to"
+ echo "/var/lib/openssh-known-hosts/ssh_known_hosts yourself or point to it"
+ echo "with GlobalKnownHostsFile in ssh_config(5)."
+ fi
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
esac
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
#DEBHELPER#
-if [ ! -e /usr/local/share/openssh-known-hosts ]; then
- if mkdir /usr/local/share/openssh-known-hosts 2>/dev/null; then
- chown root:staff /usr/local/share/openssh-known-hosts
- chmod 2775 /usr/local/share/openssh-known-hosts
- fi
-fi
-if [ ! -e /usr/local/share/openssh-known-hosts/plugins ]; then
- if mkdir /usr/local/share/openssh-known-hosts/plugins 2>/dev/null; then
- chown root:staff /usr/local/share/openssh-known-hosts/plugins
- chmod 2775 /usr/local/share/openssh-known-hosts/plugins
- fi
-fi
-
-[ -e /etc/ssh/ssh_known_hosts ] || ln -s /var/lib/openssh-known-hosts/ssh_known_hosts /etc/ssh/ssh_known_hosts
-if [ "`readlink /etc/ssh/ssh_known_hosts`" != /var/lib/openssh-known-hosts/ssh_known_hosts ]; then
- echo "/etc/ssh/ssh_known_hosts already exists, please set up the link to"
- echo "/var/lib/openssh-known-hosts/ssh_known_hosts yourself."
-fi
-
exit 0
-
-